%bcond_without check

%global goipath         github.com/smartystreets/goconvey
Version:                1.6.4

%gometa

%global common_description %{expand:
GoConvey, a yummy Go testing tool for gophers. Works with go test. Use it in the
terminal or browser according to your viewing pleasure.

Features:

 - Directly integrates with go test
 - Fully-automatic web UI (works with native Go tests, too)
 - Huge suite of regression tests
 - Shows test coverage (Go 1.2+)
 - Readable, colorized console output (understandable by any manager, IT or not)
 - Test code generator
 - Desktop notifications (optional)
 - Immediately open problem lines in Sublime Text (some assembly required)}

%global golicenses      LICENSE.md web/client/resources/fonts/Open_Sans/LICENSE.txt web/client/resources/fonts/Orbitron/OFL.txt
%global godocs          CONTRIBUTING.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go testing in the browser

License:        MIT and ASL 2.0 and OFL
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/jtolds/gls)
BuildRequires:  golang(github.com/smartystreets/assertions)
BuildRequires:  golang(golang.org/x/tools/go/packages)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d web/server/watch -d web/server/system
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-1
- initial build
